## bls-standalone 0.20151231

=== scan/Makefile ===
CC = gcc
CCLD = $(CC)
CFLAGS = -Wall -O2 -g
CPPFLAGS =
INCLUDES =
LDFLAGS =

all: compile scan

compile: compile.o tags.o merge.o translate.o globals.o effwrite.o
	$(CCLD) $(CFLAGS) $(LDFLAGS) $^ -o $@

scan: scan.o globals.o effread.o
	$(CCLD) $(CFLAGS) $(LDFLAGS) $^ -o $@

%.o: %.c globals.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $(INCLUDES) -c $< -o $@

effread.o effwrite.o tags.o compile.o scan.o: eff.h
tags.o compile.o: tags.h
merge.o compile.o: merge.h
translate.o merge.o compile.o: statetable.h
translate.o compile.o: translate.h

clean:
	rm -f *.o scan compile

.PHONY: all clean

=== debian/changelog ===
bls-standalone (0.20151231) unstable; urgency=low

  * Initial release.

 -- Bernhard R. Link <brlink@debian.org>  Sun, 09 Nov 2014 13:35:21 +0100

=== debian/control ===
Source: bls-standalone
Section: devel
Priority: extra
Maintainer: Bernhard R. Link <brlink@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6

Package: bls-standalone
Architecture: any
Depends: python3 (>= 3.2), ${shlibs:Depends}, ${misc:Depends}
Recommends: blhc
Description: standalone build log scanner
 This package includes stand-alone version of the build-log-scanner
 as found on http://qa.debian.org/bls/.
 .
 It includes the scanning engine and (hopefully not too outdated)
 rules to check for and a helper script to better read the results.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/buildflags.mk

CFLAGS += -Wall
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

build-arch-stamp:
	dh_testdir
	$(MAKE) -C scan CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)'
	scan/compile -o rules/rules.compiled rules/*.description rules/*.switch
	sed -e "s!^\(lib\|share\)dirdefault *= *'[^']*' *#.*!\1dirdefault = '/usr/\1/bls-standalone'!" bls-standalone.py > bls-standalone
	touch $@

build-arch build: build-arch-stamp
build-indep:

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp bls-standlone rules/rules.compiled
	$(MAKE) -C scan clean
	dh_clean

binary-indep: build-indep
# We have nothing to do.

binary-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install
	dh_installman bls-standalone.1
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary

## bls-standalone 0.20151231build1

=== debian/changelog ===
bls-standalone (0.20151231build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:42:03 +0000

## bls-standalone 0.20151231+nmu1

=== debian/changelog ===
bls-standalone (0.20151231+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:36:13 +0800
